# Microsoft Outlook — CRM API: gotchas

> Canonical URL: https://developers.apideck.com/apis/crm/microsoft-outlook/gotchas

## GET /crm/contacts

To get custom fields, make a get contact call with owner_id. If no owner_id is provided, the list call will return the contacts of the authenticated user. Microsoft Outlook allows multiple emails without a type. We will return the type of the first email as primary and the rest as other.
## POST /crm/contacts

Microsoft Outlook allows multiple emails without a type. Please provide the first email as primary and the rest as other.
## GET /crm/contacts/{id}

If no owner_id is provided, the get call will return the contacts of the authenticated user only. Microsoft Outlook allows multiple emails without a type. We will return the type of the first email as primary and the rest as other.
## PATCH /crm/contacts/{id}

Microsoft Outlook allows multiple emails without a type. Please provide the first email as primary and the rest as other.
## DELETE /crm/contacts/{id}

To delete another user's contact use proxy api.

[API reference](https://developers.apideck.com/apis/crm/reference.md) · [Coverage matrix](https://developers.apideck.com/apis/crm/coverage)
